> ## Documentation Index
> Fetch the complete documentation index at: https://docs.foldd.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Routing - List

> List all routing configs



## OpenAPI

````yaml get /routing
openapi: 3.0.3
info:
  title: Foldd - API Documentation
  description: >

    ## Get started


    Foldd provides a collection of APIs that enable you to process and manage
    payments.

    Our APIs accept and return JSON in the HTTP body, and return standard HTTP
    response codes.


    You can consume the APIs directly using your favorite HTTP/REST library.


    We have a testing environment referred to "sandbox", which you can setup to
    test API calls without

    affecting production data.

    Currently, our sandbox environment is live while our production environment
    is under development

    and will be available soon.

    You can sign up on our Dashboard to get API keys to access Foldd API.


    ### Environment


    Use the following base URLs when making requests to the APIs:


    | Environment   |  Base URL                          |

    |---------------|------------------------------------|

    | Sandbox       | <https://sandbox.foldd.com>   |

    | Production    | <https://api.foldd.com>       |


    ## Authentication


    When you sign up on our [dashboard](https://app.foldd.com) and create a
    merchant

    account, you are given a secret key (also referred as api-key) and a
    publishable key.

    You may authenticate all API requests with Foldd server by providing the
    appropriate key in

    the request Authorization header.


    | Key             | 
    Description                                                                                 
    |

    |-----------------|-----------------------------------------------------------------------------------------------|

    | api-key         | Private key. Used to authenticate all API requests from
    your merchant server                  |

    | publishable key | Unique identifier for your account. Used to authenticate
    API requests from your app's client  |


    Never share your secret api keys. Keep them guarded and secure.
  contact:
    name: Foldd Support
    url: https://foldd.com
    email: support@foldd.com
  license:
    name: Apache-2.0
  version: 0.1.0
servers:
  - url: https://sandbox.foldd.com
    description: Sandbox Environment
security: []
tags:
  - name: Merchant Account
    description: Create and manage merchant accounts
  - name: Profile
    description: Create and manage profiles
  - name: Merchant Connector Account
    description: Create and manage merchant connector accounts
  - name: Payments
    description: Create and manage one-time payments, recurring payments and mandates
  - name: Refunds
    description: Create and manage refunds for successful payments
  - name: Mandates
    description: Manage mandates
  - name: Customers
    description: Create and manage customers
  - name: Payment Methods
    description: Create and manage payment methods of customers
  - name: Disputes
    description: Manage disputes
  - name: API Key
    description: Create and manage API Keys
  - name: Payouts
    description: Create and manage payouts
  - name: payment link
    description: Create payment link
  - name: Routing
    description: Create and manage routing configurations
  - name: Event
    description: Manage events
paths:
  /routing:
    get:
      tags:
        - Routing
      summary: Routing - List
      description: List all routing configs
      operationId: List routing configs
      parameters:
        - name: limit
          in: query
          description: The number of records to be returned
          required: false
          schema:
            type: integer
            format: int32
            nullable: true
            minimum: 0
        - name: offset
          in: query
          description: The record offset from which to start gathering of results
          required: false
          schema:
            type: integer
            format: int32
            nullable: true
            minimum: 0
        - name: profile_id
          in: query
          description: The unique identifier for a merchant profile
          required: false
          schema:
            type: string
            nullable: true
      responses:
        '200':
          description: Successfully fetched routing configs
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RoutingKind'
        '404':
          description: Resource missing
        '500':
          description: Internal server error
      security:
        - api_key: []
        - jwt_key: []
components:
  schemas:
    RoutingKind:
      oneOf:
        - $ref: '#/components/schemas/RoutingDictionary'
        - type: array
          items:
            $ref: '#/components/schemas/RoutingDictionaryRecord'
    RoutingDictionary:
      type: object
      required:
        - merchant_id
        - records
      properties:
        merchant_id:
          type: string
        active_id:
          type: string
          nullable: true
        records:
          type: array
          items:
            $ref: '#/components/schemas/RoutingDictionaryRecord'
    RoutingDictionaryRecord:
      type: object
      required:
        - id
        - profile_id
        - name
        - kind
        - description
        - created_at
        - modified_at
      properties:
        id:
          type: string
        profile_id:
          type: string
        name:
          type: string
        kind:
          $ref: '#/components/schemas/RoutingAlgorithmKind'
        description:
          type: string
        created_at:
          type: integer
          format: int64
        modified_at:
          type: integer
          format: int64
        algorithm_for:
          allOf:
            - $ref: '#/components/schemas/TransactionType'
          nullable: true
        decision_engine_routing_id:
          type: string
          nullable: true
    RoutingAlgorithmKind:
      type: string
      enum:
        - single
        - priority
        - volume_split
        - advanced
        - dynamic
    TransactionType:
      type: string
      enum:
        - payment
        - payout
  securitySchemes:
    api_key:
      type: apiKey
      in: header
      name: api-key
      description: >-
        Use the API key created under your merchant account from the Foldd
        dashboard. API key is used to authenticate API requests from your
        merchant server only. Don't expose this key on a website or embed it in
        a mobile application.

````